local function fn()
    local inst = CreateEntity()

    inst.entity:AddTransform()
    inst.entity:AddLight()

	inst:AddTag("FX")
    inst:AddTag("playerlight")

	inst.Light:SetIntensity(.75)
	inst.Light:SetColour(197/255, 197/255, 50/255)
    inst.Light:SetFalloff(0.6)
    inst.Light:SetRadius(4)
    inst.Light:Enable(true)

    inst.persists = false

    return inst
end

return Prefab("solarspherefire", fn, nil)